Bug 1296885 - nouveau driver causes hardware lockup
nouveau driver causes hardware lockup
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 05:57 EST by Dagan McGregor
Modified: 2016-12-20 12:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:42:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
device list (1.55 KB, text/plain)
2016-01-08 05:57 EST, Dagan McGregor
no flags Details
xorg driver list (603 bytes, text/plain)
2016-01-08 05:57 EST, Dagan McGregor
no flags Details
kernel module list (5.29 KB, text/plain)
2016-01-08 05:58 EST, Dagan McGregor
no flags Details
boot message 1 (2.08 MB, image/jpeg)
2016-01-08 06:55 EST, Dagan McGregor
no flags Details
boot message 2 (3.16 MB, image/jpeg)
2016-01-08 06:56 EST, Dagan McGregor
no flags Details
boot message 3 (3.68 MB, image/jpeg)
2016-01-08 06:57 EST, Dagan McGregor
no flags Details
boot message 4 (2.56 MB, image/jpeg)
2016-01-08 06:57 EST, Dagan McGregor
no flags Details

  None (edit)
Description Dagan McGregor 2016-01-08 05:57:14 EST
Created attachment 1112851 [details]
device list

Description of problem: nouveau driver causes laptop to lockup at boot on Acer laptop with two video cards


Version-Release number of selected component (if applicable): xorg-x11-drv-nouveau-1.0.12-1.fc23


How reproducible: Every time


Steps to Reproduce:
1. Disable nomodeset
2. Start laptop
3. Watch screen of nouveau error messages

Actual results:
Laptop locks up or reboots

Expected results:
Laptop will boot normally using Intel VGA controller

Additional info:
Adding 'nouveau.modeset=0' to kernel parameters functions as a workaround.

New Acer Aspire VN7-792G laptop booting with UEFI and Secure Boot enabled.
Fresh Fedora 23 install from LiveCD.

Laptop has Intel VGA device
'VGA compatible controller: Intel Corporation Device 191b (rev 06)'

Laptop has discrete NVIDIA GTX960m device
'3D Controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2)'
Comment 1 Dagan McGregor 2016-01-08 05:57 EST
Created attachment 1112853 [details]
xorg driver list
Comment 2 Dagan McGregor 2016-01-08 05:58 EST
Created attachment 1112854 [details]
kernel module list
Comment 3 Dagan McGregor 2016-01-08 06:01:14 EST
I also noticed there is no /sys/kernel/debug/vga_switcheroo file created.

This probably because I had to use 'nomodeset' to install Fedora from the LiveCD.

Please let me know what other information you require.
Comment 4 Dagan McGregor 2016-01-08 06:55 EST
Created attachment 1112855 [details]
boot message 1
Comment 5 Dagan McGregor 2016-01-08 06:56 EST
Created attachment 1112856 [details]
boot message 2
Comment 6 Dagan McGregor 2016-01-08 06:57 EST
Created attachment 1112857 [details]
boot message 3
Comment 7 Dagan McGregor 2016-01-08 06:57 EST
Created attachment 1112858 [details]
boot message 4
Comment 8 Dagan McGregor 2016-01-08 06:59:54 EST
Apologies for the file format, but I have attached some screenshots of the messages nouveau writes when I remove the modeset kernel parameter.

Hopefully there is some information in them that might be useful.
Comment 9 Dagan McGregor 2016-02-22 08:02:33 EST
I just updated to the 4.4.2-300 kernel in updates-testing. This is a huge improvement on hardware support from the earlier kernel versions.

With this kernel I can boot the laptop without the nomodeset options, nouveau is detecting the card and things seem to be playing nicely.

I have working HDMI video output, and I was able to  play a video with audio to my TV.

The Intel chip is running most things, 

OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2) 

I also now see the vgaswitcheroo:

cat /sys/kernel/debug/vgaswitcheroo/switch 
0:IGD:+:Pwr:0000:00:02.0
1:DIS: :DynOff:0000:01:00.0
Comment 10 Dagan McGregor 2016-02-22 08:04:36 EST
Will monitor the battery usage, this kernel update may improve battery life significantly on this laptop also.
Comment 11 Fedora End Of Life 2016-11-24 09:47:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 12:42:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.